#ifndef STANDARD_H
# define STANDARD_H

# ifdef __cplusplus
 extern "C" {
# endif

# define T_DEBUG 1
# define T_RELEASE 2

# define T_SBYTE signed char
# define T_PSBYTE T_SBYTE *

# define T_UBYTE unsigned char
# define T_PUBYTE T_UBYTE *

# define T_BYTE unsigned char
# define T_PBYTE T_BYTE *

# define T_CHAR unsigned char
# define T_PCHAR T_CHAR *

# define T_UCHAR unsigned char
# define T_PUCHAR T_UCHAR *

# define T_SCHAR signed char
# define T_PSCHAR T_SCHAR *

# define T_WORD unsigned short int
# define T_SHORT T_WORD
# define T_PWORD T_WORD *

# define T_SWORD signed short int
# define T_PSWORD T_SWORD *

# define T_UWORD unsigned short int
# define T_PUWORD T_UWORD *

# define T_LONG signed long
# define T_PLONG T_LONG *

# define T_SLONG signed long
# define T_PSLONG T_SLONG *

# define T_ULONG unsigned long
# define T_PULONG T_ULONG *

# define T_DWORD unsigned long
# define T_PDWORD T_DWORD *

# define T_INT int
# define T_PINT T_INT *

# define T_SINT signed int
# define T_PSINT T_SINT *

# define T_UINT unsigned int
# define T_PUINT T_UINT *

# define T_VOID void
# define T_PVOID T_VOID *

# define T_FLOAT float
# define T_DOUBLE double
# define T_LDOUBLE long double

#define _MIN_(a,b) (((a)>(b)) ? (b) : (a))


# define T_FALSE 0
# define T_TRUE 1
# define T_BOOL int
# define T_STRING char *
# define T_JA 0
# define T_NEIN 1
# define T_OK 0
# define T_NOT_OK 1

#define T_LOW_BYTE(s)       ((T_CHAR)(s))
#define T_HIGH_BYTE(s)       ((T_CHAR)((T_WORD)(s)>>8))

# ifndef NOT_INITIALIZED
#  define NOT_INITIALIZED -1
# endif

        /* allgemeine Makro-'Funktionen' */
# define T_MAX( A, B ) ( ( (A) > (B) ) ? (A) : (B) )

# define T_ABS(a)  ((a) >= 0 ? (a) : -(a))

typedef struct
{
 T_PVOID objekt;
 T_PVOID naechstes;
 T_PVOID letztes;
 T_INT   position;
} T_LISTE;


# ifdef __cplusplus
}
# endif


#endif
